# PThread::Times Struct Reference

Times for execution of the thread. More...

`#include <thread.h>`

List of all members.

## Public Attributes

PTimeInterval | m_real
| Total real time since thread start in milliseconds.
PTimeInterval | m_kernel
| Total kernel CPU time in milliseconds.
PTimeInterval | m_user
| Total user CPU time in milliseconds.

## Friends

ostream & | operator<< (ostream &strm, const Times &times)

## Detailed Description

Times for execution of the thread.

## Friends And Related Function Documentation

ostream& operator<< | ( | ostream & | strm,
|  | const Times & | times |
| ) |  |  | `[friend]`

## Member Data Documentation

PTimeInterval PThread::Times::m_kernel

Total kernel CPU time in milliseconds.

PTimeInterval PThread::Times::m_real

Total real time since thread start in milliseconds.

PTimeInterval PThread::Times::m_user

Total user CPU time in milliseconds.

The documentation for this struct was generated from the following file:

- thread.h